Design Plasma Layout Editing Mode
Closed, DuplicatePublic

colomar created this task.Jun 28 2016, 6:10 PM
colomar moved this task from Backlog/Planned to Work in Progress on the VDG board.Jul 5 2016, 6:40 PM
jriddell moved this task from To Do to Postponed on the Plasma board.Oct 18 2016, 4:11 PM
abetts added a subscriber: abetts.Aug 26 2017, 2:00 PM

Are there any news on this? Looks really nice but seems rather abandoned.

It hasn't really come back to our discussions given the recent changes that we are planning. This might not fit that form.

Those "recent changes" that you guys are planning, are those anywhere I can see? I'm super curious about this type of stuff.

Those "recent changes" that you guys are planning, are those anywhere I can see? I'm super curious about this type of stuff.

I would say, take a look at phabricator on tickets that are tagged VDG.

Those "recent changes" that you guys are planning, are those anywhere I can see? I'm super curious about this type of stuff.

I would say, take a look at phabricator on tickets that are tagged VDG.

There are tons of those tickets, and most of them are about some design detail somewhere. I've looked a bit through the VDG task board, and from that I could not identify which changes you mean that are incompatible with a Plasma Layout Editing Mode.
So please, could you enlighten us? Thank you!

Here I am speaking mostly of the work that is being done in consolidating virtual desktops and activities, which will likely change the way that we run an "edit mode". So, for me, we should wait to tackle edit mode until we have other pieces of the desktop in place first. Otherwise, our designs might end up changing.

Here I am speaking mostly of the work that is being done in consolidating virtual desktops and activities, which will likely change the way that we run an "edit mode". So, for me, we should wait to tackle edit mode until we have other pieces of the desktop in place first. Otherwise, our designs might end up changing.

Ah, thanks for the clarification! Yes, that makes sense. Your previous comment sounded a bit as if an edit mode wouldn't make sense anymore due to these changes, Postponing edit mode design until architectural decisions lower in the stack are made does make perfect sense, of course.

This comment was removed by KonqiDragon.
ngraham moved this task from Work in Progress to Done on the VDG board.Sep 27 2019, 3:50 PM